using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Requests.Exam
{
    public record ExamManagePagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType? ExamType { get; set; }

        /// <summary>
        /// 考核方式
        /// </summary>
        [Description("考核方式")]
        public EMethod? Mode { get; set; }

        /// <summary>
        /// 考试编号
        /// </summary>
        [Description("考试编号")]
        public string Code { get; set; }

        /// <summary>
        /// 考试名称
        /// </summary>
        [Description("考试名称")]
        public string Name { get; set; }
    }
}
